Uploaded image for project: 'WildFly'
  1. WildFly
  2. WFLY-8862

Wrong schema version in several .xsd files

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Minor
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: 11.0.0.Beta1
    • Component/s: None
    • Labels:
      None
    • Steps to Reproduce:
      Hide

      1. vim ${EAP_HOME}/docs/schema/jboss-as-logging_1_5.xsd

      Actual results:
      <xs:schema ... xmlns="urn:jboss:domain:logging:1.5" version="1.4">

      Expected results:
      <xs:schema ... xmlns="urn:jboss:domain:logging:1.5" version="1.5">

      Additional info:
      jboss-as-deployment-scanner_1_1.xsd

      • wrong version of schema, expected: '1.1', but found: '1.0'
        jboss-as-jca_1_1.xsd
      • wrong version of schema, expected: '1.1', but found: '1.0'
        jboss-as-jmx_1_2.xsd
      • wrong version of schema, expected: '1.2', but found: '1.1'
        jboss-as-jmx_1_3.xsd
      • wrong version of schema, expected: '1.3', but found: '1.1'
        jboss-as-logging_1_5.xsd
      • wrong version of schema, expected: '1.5', but found: '1.4'
        jboss-as-mail_1_1.xsd
      • wrong version of schema, expected: '1.1', but found: '1.0'
        jboss-as-mail_1_2.xsd
      • wrong version of schema, expected: '1.2', but found: '1.0'
        jboss-as-mod-cluster_1_1.xsd
      • wrong version of schema, expected: '1.1', but found: '1.0'
        jboss-as-mod-cluster_1_2.xsd
      • wrong version of schema, expected: '1.2', but found: '1.0'
        jboss-as-osgi_1_1.xsd
      • wrong version of schema, expected: '1.1', but found: '1.0'
        jboss-as-osgi_1_2.xsd
      • wrong version of schema, expected: '1.2', but found: '1.0'
        jboss-as-remoting_1_1.xsd
      • wrong version of schema, expected: '1.1', but found: '1.0'
        jboss-as-threads_1_1.xsd
      • wrong version of schema, expected: '1.1', but found: '1.0'
        jboss-as-txn_1_5.xsd
      • wrong version of schema, expected: '1.5', but found: '1.4'
        jboss-as-web_1_5.xsd
      • wrong version of schema, expected: '1.5', but found: '2.0'
        jboss-as-webservices_1_1.xsd
      • wrong version of schema, expected: '1.1', but found: '1.0'
        jboss-common_5_1.xsd
      • wrong version of schema, expected: '5.1', but found: '5.0'
        jboss-pojo_7_0.xsd
      • wrong version of schema, expected: '7.0', but found: '1.1'
        jboss-service_7_0.xsd
      • wrong version of schema, expected: '7.0', but found: '1.0'
        jbossws-jaxws-config_4_0.xsd
      • wrong version of schema, expected: '4.0', but found: '1.1'
        jbossws-web-services_1_0.xsd
      • wrong version of schema, expected: '1.0', but found: '1.1'
        jbxb_1_0.xsd
      • wrong version of schema, expected: '1.0', but found: '1.0beta'
        jndi-binding-service_1_0.xsd
      • wrong version of schema, expected: '1.0', but found: '1.0beta'
        module-1_1.xsd
      • wrong version of schema, expected: '1.1', but found: '1.0'
        module-1_2.xsd
      • wrong version of schema, expected: '1.2', but found: '1.0'
        module-1_3.xsd
      • wrong version of schema, expected: '1.3', but found: '1.0'
      Show
      1. vim ${EAP_HOME}/docs/schema/jboss-as-logging_1_5.xsd Actual results: <xs:schema ... xmlns="urn:jboss:domain:logging:1.5" version="1.4"> Expected results: <xs:schema ... xmlns="urn:jboss:domain:logging:1.5" version="1.5"> Additional info: jboss-as-deployment-scanner_1_1.xsd wrong version of schema, expected: '1.1', but found: '1.0' jboss-as-jca_1_1.xsd wrong version of schema, expected: '1.1', but found: '1.0' jboss-as-jmx_1_2.xsd wrong version of schema, expected: '1.2', but found: '1.1' jboss-as-jmx_1_3.xsd wrong version of schema, expected: '1.3', but found: '1.1' jboss-as-logging_1_5.xsd wrong version of schema, expected: '1.5', but found: '1.4' jboss-as-mail_1_1.xsd wrong version of schema, expected: '1.1', but found: '1.0' jboss-as-mail_1_2.xsd wrong version of schema, expected: '1.2', but found: '1.0' jboss-as-mod-cluster_1_1.xsd wrong version of schema, expected: '1.1', but found: '1.0' jboss-as-mod-cluster_1_2.xsd wrong version of schema, expected: '1.2', but found: '1.0' jboss-as-osgi_1_1.xsd wrong version of schema, expected: '1.1', but found: '1.0' jboss-as-osgi_1_2.xsd wrong version of schema, expected: '1.2', but found: '1.0' jboss-as-remoting_1_1.xsd wrong version of schema, expected: '1.1', but found: '1.0' jboss-as-threads_1_1.xsd wrong version of schema, expected: '1.1', but found: '1.0' jboss-as-txn_1_5.xsd wrong version of schema, expected: '1.5', but found: '1.4' jboss-as-web_1_5.xsd wrong version of schema, expected: '1.5', but found: '2.0' jboss-as-webservices_1_1.xsd wrong version of schema, expected: '1.1', but found: '1.0' jboss-common_5_1.xsd wrong version of schema, expected: '5.1', but found: '5.0' jboss-pojo_7_0.xsd wrong version of schema, expected: '7.0', but found: '1.1' jboss-service_7_0.xsd wrong version of schema, expected: '7.0', but found: '1.0' jbossws-jaxws-config_4_0.xsd wrong version of schema, expected: '4.0', but found: '1.1' jbossws-web-services_1_0.xsd wrong version of schema, expected: '1.0', but found: '1.1' jbxb_1_0.xsd wrong version of schema, expected: '1.0', but found: '1.0beta' jndi-binding-service_1_0.xsd wrong version of schema, expected: '1.0', but found: '1.0beta' module-1_1.xsd wrong version of schema, expected: '1.1', but found: '1.0' module-1_2.xsd wrong version of schema, expected: '1.2', but found: '1.0' module-1_3.xsd wrong version of schema, expected: '1.3', but found: '1.0'

      Description

      Some schemas in ${EAP_HOME}/docs/schema have wrong version specified.

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                apintea Aurel Pintea
                Reporter:
                apintea Aurel Pintea
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: